petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDTGaussTensorQuadrature

creates a tensor-product Gauss quadrature

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTGaussTensorQuadrature(PetscInt dim, PetscInt npoints, PetscReal a, PetscReal b, PetscQuadrature *q)

Not Collective

### Input Arguments

| dim | - The spatial dimension
| npoints | - number of points in one dimension
| a | - left end of interval (often-1)
| b | - right end of interval (often +1)

### Output Argument

q -A PetscQuadrature object

### See Also

PetscDTGaussQuadrature(), PetscDTLegendreEval()

Level:intermediate
Location:src/dm/dt/interface/dt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages